Condeco software requirements

Smart Calendar

  • Condeco Cloud. Evergreen release plan only.
  • Microsoft Azure subscription
  • Microsoft 365 subscription
  • User calendar read and write access through Microsoft Graph API.
  • Microsoft 365 Admin account. Provides consent for Smart Calendar to receive notifications from the subscribed calendars, and to amend calendar appointments.

For more details about the permissions required and how to configure them, visit Smart Calendar Prerequisites and compatibility

Exchange Sync

  • Condeco Cloud Evergreen release plan for Exchange Sync and the Condeco Outlook Add-in (formally Condeco Room Finder).
  • Condeco Cloud release December 2020 onwards.
  • Microsoft Azure subscription
  • Microsoft 365 subscription
  • Microsoft 365 Service account for use with Exchange Web Services (EWS). The service account must have application impersonation rights for all room calendars mapped in Condeco.
  • Microsoft 365 Admin account to provide consent for the notification app to receive notifications from subscribed calendars.

For more details about the permissions required and how to configure them, visit Exchange Sync Prerequisites, accounts, and access.

End-user tools

Condeco web application

  • Supported browsers: Edge / Chrome / Safari / IE11 (limited).

Condeco mobile apps

Recommended for Condeco Cloud release May 2021 and later:

  • Condeco mobile app release June 2021 and later.

For Condeco releases pre-May 2021:

  • Condeco Room Booking App 2.1 or above.
  • Condeco Desk Booking App 2.2 or above.

Condeco Outlook Add-in

  • For Smart Calendar: Condeco Outlook Add-in May 2021 release or later.
  • For Exchange Sync: Condeco Outlook Add-in May 2021 release or later. Limited functionality with earlier releases (formally Condeco Room Finder).
  • MS Outlook 2016 (build 1910 and later) for Windows.
  • MS Outlook for Mac (current UI only). Connected to a Microsoft 365 subscription.
  • Outlook Web Access (OWA).

For more details about compatible MS Outlook versions and web browsers, visit Condeco Outlook add-in compatibility.

Condeco Outlook Com+ plug-in

  • Enterprise 3.2 or later.
  • Access to Condeco via port 443.
  • Microsoft Outlook 2016 for Windows and later. (2019 requires plug-in 6.6.0 or later).
  • .NET Framework v2.0 for the installation package
  • .NET Framework v4.0 for the add-in
  • Latest version of MSXML

For more details about requirements for the Condeco Outlook Com+ plug-in, visit Condeco Outlook Com+ plug-in requirements

Need more help with this?
Condeco Support

Was this helpful?

Yes No
You indicated this topic was not helpful to you ...
Could you please leave a comment telling us why? Thank you!
Thanks for your feedback.